/**
 * Deep-compare two values.
 *
 * Returns true only if the two objects are equal primitive types, arrays with deeply equal values
 * or objects with deeply equal properties and the same prototype.
 */
export declare function deepEqual<T>(a: T, b: T): boolean;
