/**
 * Traverses an object and its child objects breadth-first and calls a callback for every object traversed.
 * Objects referenced more than once do not cause the callback to be called multiple times.
 */
export declare function traverseObject(object: any, callback: (subject: any, path: string[]) => void): void;
