"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepFreeze = void 0;
var utils_1 = require("./utils");
function deepFreeze(target) {
    for (var _i = 0, _a = utils_1.objectKeys(target); _i < _a.length; _i++) {
        var key = _a[_i];
        var value = target[key];
        if (typeof value === 'object' && value) {
            deepFreeze(value);
        }
    }
    Object.freeze(target);
    return target;
}
exports.deepFreeze = deepFreeze;

//# sourceMappingURL=deep-freeze.js.map
