"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isImmutableClass = void 0;
var utils_1 = require("./utils");
/** Returns true if the argument is a class decorated with @Immutable. */
function isImmutableClass(target) {
    return typeof target === 'function'
        && target.prototype !== Function.prototype
        && utils_1.getImmutableClassMetadata(target) != undefined;
}
exports.isImmutableClass = isImmutableClass;

//# sourceMappingURL=is-immutable-class.js.map
