import { getImmutableClassMetadata } from './utils';
/** Returns true if the argument is a class decorated with @Immutable. */
export function isImmutableClass(target) {
    return typeof target === 'function'
        && target.prototype !== Function.prototype
        && getImmutableClassMetadata(target) != undefined;
}

//# sourceMappingURL=is-immutable-class.js.map
