"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withChanges = exports.traverseObject = exports.StateActionBranch = exports.observeImmutable = exports.MethodNotImmutableError = exports.map = exports.logMethodCallToConsole = exports.isImmutableClass = exports.isCyclicStructure = exports.ImmutableStateStore = exports.immutableSettings = exports.Immutable = exports.flatEqual = exports.deepFreeze = exports.deepEqual = exports.deepClone = exports.deepApplyWithReuse = exports.CloneDepth = void 0;
var clone_depth_decorator_1 = require("./clone-depth-decorator");
Object.defineProperty(exports, "CloneDepth", { enumerable: true, get: function () { return clone_depth_decorator_1.CloneDepth; } });
var deep_apply_with_reuse_1 = require("./deep-apply-with-reuse");
Object.defineProperty(exports, "deepApplyWithReuse", { enumerable: true, get: function () { return deep_apply_with_reuse_1.deepApplyWithReuse; } });
var deep_clone_1 = require("./deep-clone");
Object.defineProperty(exports, "deepClone", { enumerable: true, get: function () { return deep_clone_1.deepClone; } });
var deep_equal_1 = require("./deep-equal");
Object.defineProperty(exports, "deepEqual", { enumerable: true, get: function () { return deep_equal_1.deepEqual; } });
var deep_freeze_1 = require("./deep-freeze");
Object.defineProperty(exports, "deepFreeze", { enumerable: true, get: function () { return deep_freeze_1.deepFreeze; } });
var flat_equal_1 = require("./flat-equal");
Object.defineProperty(exports, "flatEqual", { enumerable: true, get: function () { return flat_equal_1.flatEqual; } });
var immutable_decorator_1 = require("./immutable-decorator");
Object.defineProperty(exports, "Immutable", { enumerable: true, get: function () { return immutable_decorator_1.Immutable; } });
var immutable_settings_1 = require("./immutable-settings");
Object.defineProperty(exports, "immutableSettings", { enumerable: true, get: function () { return immutable_settings_1.immutableSettings; } });
var immutable_state_store_1 = require("./immutable-state-store");
Object.defineProperty(exports, "ImmutableStateStore", { enumerable: true, get: function () { return immutable_state_store_1.ImmutableStateStore; } });
var is_cyclic_structure_1 = require("./is-cyclic-structure");
Object.defineProperty(exports, "isCyclicStructure", { enumerable: true, get: function () { return is_cyclic_structure_1.isCyclicStructure; } });
var is_immutable_class_1 = require("./is-immutable-class");
Object.defineProperty(exports, "isImmutableClass", { enumerable: true, get: function () { return is_immutable_class_1.isImmutableClass; } });
var log_call_to_console_1 = require("./log-call-to-console");
Object.defineProperty(exports, "logMethodCallToConsole", { enumerable: true, get: function () { return log_call_to_console_1.logMethodCallToConsole; } });
var map_1 = require("./map");
Object.defineProperty(exports, "map", { enumerable: true, get: function () { return map_1.map; } });
var method_not_immutable_error_1 = require("./method-not-immutable-error");
Object.defineProperty(exports, "MethodNotImmutableError", { enumerable: true, get: function () { return method_not_immutable_error_1.MethodNotImmutableError; } });
var observe_immutable_1 = require("./observe-immutable");
Object.defineProperty(exports, "observeImmutable", { enumerable: true, get: function () { return observe_immutable_1.observeImmutable; } });
var state_action_branch_1 = require("./state-action-branch");
Object.defineProperty(exports, "StateActionBranch", { enumerable: true, get: function () { return state_action_branch_1.StateActionBranch; } });
var traverse_object_1 = require("./traverse-object");
Object.defineProperty(exports, "traverseObject", { enumerable: true, get: function () { return traverse_object_1.traverseObject; } });
var with_changes_1 = require("./with-changes");
Object.defineProperty(exports, "withChanges", { enumerable: true, get: function () { return with_changes_1.withChanges; } });

//# sourceMappingURL=index.js.map
