import { objectKeys } from './utils';
export function deepFreeze(target) {
    for (let key of objectKeys(target)) {
        const value = target[key];
        if (typeof value === 'object' && value) {
            deepFreeze(value);
        }
    }
    Object.freeze(target);
    return target;
}

//# sourceMappingURL=deep-freeze.js.map
